### Function

# EDataServer xml_save_file

#### Declaration [src]

    gint
    e_xml_save_file (
      const gchar* filename,
      xmlDoc* doc
    )

#### Description [src]

Writes the given XML document structure to the file given by `filename`. If an error occurs while saving, the function returns -1 and sets errno.

#### Parameters

`filename`

  Type: `const gchar*`

  Path to a file to save to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`doc`

  Type: `xmlDoc`

  An XML document structure.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 on success, -1 on failure.